Bug 187912 - unnecessary dependency checking
Summary: unnecessary dependency checking
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-04-04 14:22 UTC by Matthias Clasen
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-10 16:50:39 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Matthias Clasen 2006-04-04 14:22:02 UTC
If I do a fresh install and don't tweak the selected packages manually,
why does anaconda make me wait several minutes on the dependency check ?
Those dependencies should all be pre-computed, no ? Ie the package sets
"Office" "Development", etc should all be closed under dependencies...

Comment 1 Jeremy Katz 2006-04-10 16:50:39 UTC
No, the package sets are just defined as the leaf nodes that are considered
"interesting".  Pre-computing out every dep makes things significantly worse (we
did so in Red Hat Linux 8.0), especially given multilib and the looming support
for having more than one repository available.


Note You need to log in before you can comment on or make changes to this bug.